extractr docs
Spotify

Request a track download

POST
/spotify/download

Queues a track rip and returns a short-lived signed download URL. The URL expires after 15 minutes.

Costs 10 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/spotify/download" \  -H "Content-Type: application/json" \  -d '{    "id": "3n3Ppam7vgaVa1iaRUc9Lp"  }'
{  "track_id": "string",  "format": "string",  "quality": "string",  "bitrate_kbps": 320,  "file_size_bytes": 9412003,  "url": "https://cdn.extractr.dev/rips/3n3Ppam7vgaVa1iaRUc9Lp.mp3?sig=6d1f...&exp=1767225600",  "expires_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}